<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/beta-testers",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Beta Testers"
}
-->

# Beta Testers

People who can install and test prerelease builds.

## Discussion

The `betaTesters` resource represents the people who can install and test prerelease builds. You can create and delete beta testers, add and remove them from beta groups, and assign them to an app or a build.

When you create a beta tester, they must have an email address and must be assigned to an app, a build, or a beta group. Anonymous testers added via a TestFlight public link may not have an email address.

## Topics

### Creating and Deleting Beta Testers

[`POST /v1/betaTesters`](/documentation/AppStoreConnectAPI/POST-v1-betaTesters)

Create a beta tester assigned to a group, a build, or an app.

[`DELETE /v1/betaTesters/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-betaTesters-_id_)

Remove a beta tester’s ability to test all apps.

### Getting Beta Tester Information

[`GET /v1/betaTesters`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters)

Find and list beta testers for all apps, builds, and beta groups.

[`GET /v1/betaTesters/{id}`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_)

Get a specific beta tester.

### Assigning Groups and Access

[`POST /v1/betaTesters/{id}/relationships/betaGroups`](/documentation/AppStoreConnectAPI/POST-v1-betaTesters-_id_-relationships-betaGroups)

Add one or more beta testers to a specific beta group.

[`DELETE /v1/betaTesters/{id}/relationships/betaGroups`](/documentation/AppStoreConnectAPI/DELETE-v1-betaTesters-_id_-relationships-betaGroups)

Remove a specific beta tester from one or more beta groups, revoking their access to test builds associated with those groups.

[`POST /v1/betaTesters/{id}/relationships/builds`](/documentation/AppStoreConnectAPI/POST-v1-betaTesters-_id_-relationships-builds)

Individually assign a beta tester to a build.

[`DELETE /v1/betaTesters/{id}/relationships/builds`](/documentation/AppStoreConnectAPI/DELETE-v1-betaTesters-_id_-relationships-builds)

Remove an individually assigned beta tester’s ability to test a build.

[`DELETE /v1/betaTesters/{id}/relationships/apps`](/documentation/AppStoreConnectAPI/DELETE-v1-betaTesters-_id_-relationships-apps)

Remove a specific beta tester’s access to test any builds of one or more apps.

### Reading Beta Tester Details

[`GET /v1/betaTesters/{id}/apps`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-apps)

Get a list of apps that a beta tester can test.

[`GET /v1/betaTesters/{id}/relationships/apps`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-relationships-apps)

Get a list of app resource IDs associated with a beta tester.

[`GET /v1/betaTesters/{id}/builds`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-builds)

Get a list of builds individually assigned to a specific beta tester.

[`GET /v1/betaTesters/{id}/relationships/builds`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-relationships-builds)

Get a list of build resource IDs individually assigned to a specific beta tester.

[`GET /v1/betaTesters/{id}/betaGroups`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-betaGroups)

Get a list of beta groups that contain a specific beta tester.

[`GET /v1/betaTesters/{id}/relationships/betaGroups`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-relationships-betaGroups)

Get a list of group resource IDs associated with a beta tester.

### Beta Tester Metrics

[`GET /v1/apps/{id}/metrics/betaTesterUsages`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-metrics-betaTesterUsages)

Get usage metrics for beta testers of a specific app.

[`GET /v1/betaGroups/{id}/metrics/betaTesterUsages`](/documentation/AppStoreConnectAPI/GET-v1-betaGroups-_id_-metrics-betaTesterUsages)

Get beta tester usage metrics for a beta group.

[`GET /v1/betaTesters/{id}/metrics/betaTesterUsages`](/documentation/AppStoreConnectAPI/GET-v1-betaTesters-_id_-metrics-betaTesterUsages)

Get usage metrics for a specific beta tester.

### Objects

[`BetaTester`](/documentation/AppStoreConnectAPI/BetaTester)

An individual enrolled as a beta tester in TestFlight, identified by their email address and associated with one or more apps or groups.

[`BetaTestersWithoutIncludesResponse`](/documentation/AppStoreConnectAPI/BetaTestersWithoutIncludesResponse)

A response containing a list of TestFlight beta testers, without related resources.

[`BetaTesterAppsLinkagesRequest`](/documentation/AppStoreConnectAPI/BetaTesterAppsLinkagesRequest)

A request body you use to remove an app from a beta tester.

[`BetaTesterAppsLinkagesResponse`](/documentation/AppStoreConnectAPI/BetaTesterAppsLinkagesResponse)

A response body that contains a list of related resource IDs.

[`BetaTesterBetaGroupsLinkagesRequest`](/documentation/AppStoreConnectAPI/BetaTesterBetaGroupsLinkagesRequest)

A request body you use to add or remove beta groups from a beta tester.

[`BetaTesterBetaGroupsLinkagesResponse`](/documentation/AppStoreConnectAPI/BetaTesterBetaGroupsLinkagesResponse)

A response body that contains a list of related resource IDs.

[`BetaTesterBuildsLinkagesRequest`](/documentation/AppStoreConnectAPI/BetaTesterBuildsLinkagesRequest)

A request body you use to add or remove builds from a beta tester.

[`BetaTesterBuildsLinkagesResponse`](/documentation/AppStoreConnectAPI/BetaTesterBuildsLinkagesResponse)

A response body that contains a list of related resource IDs.

[`BetaTesterCreateRequest`](/documentation/AppStoreConnectAPI/BetaTesterCreateRequest)

The request body you use to create a BetaTester.

[`BetaTesterResponse`](/documentation/AppStoreConnectAPI/BetaTesterResponse)

The response body for endpoints that create, read, or modify a TestFlight beta tester.

[`BetaTestersResponse`](/documentation/AppStoreConnectAPI/BetaTestersResponse)

The response body for endpoints that list TestFlight beta testers.

[`AppsBetaTesterUsagesV1MetricResponse`](/documentation/AppStoreConnectAPI/AppsBetaTesterUsagesV1MetricResponse)

A response that contains one or more beta app tester metric resources.

[`BetaTesterUsagesV1MetricResponse`](/documentation/AppStoreConnectAPI/BetaTesterUsagesV1MetricResponse)

A response that contains one or more beta tester usage metric resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)